Applies To 
   
  Product(s): promis•e V8i 
  Version(s): 08.11.05.xx - 08.11.12.xx
  Environment:  N/A
  Area:  Platform Support
  Subarea:  N/A
  Original Author: Bentley Technical Support Group
   

An archive of the compatibility chart for promis•e 2007 through promis•e V8i SS3 can be found here.


MicroStation/PowerDraft V8i is version 08.11.05.17
MicroStation V8i SS1 is version 08.11.07.171
MicroStation PowerDraft V8i SS1 is version 08.11.07.172
MicroStation PowerDraft V8i SS2 is version 08.11.07.443

There is no promis•e V8i SELECTseries 4.  The SELECTseries release after SELECTseries 3 was named SELECTseries 5 in order to match the concurrent release of Bentley Substation V8i SELECTseries 5.

Beginning with promis•e V8i SELECTseries 5, the "Standalone" version of promis•e has the MicroStation CAD engine built into the promis•e install.  Going forward there will not be new "add-on" versions for MicroStation or PowerDraft.

Consult the promis•e Readme for details.  A link to the Readme document is available by clicking the product name in the search results list on MySELECT CD.  The Readme for promis•e V8i SELECTseries 7 is available here.

Important Notes:

  • The purpose of this document is to indicate the compatibility of various software with promis•e.  It is not intended to describe compatibility of the various software with each other.  For example, certain versions of SQL Server may not be compatible with certain operating systems.  Always check the documentation of the various software involved.
  • Standalone/MicroStation/PowerDraft versions of promis•e are 32-bit applications.  They are also compatible with 64-bit operating systems and will install as 32-bit applications in the "C:\Program Files (x86)" folder.
  • When there are both 32-bit and 64-bit versions of a particular AutoCAD version, the 32-bit version will not install on 64-bit operating systems, nor will the 64-bit version install on 32-bit operating systems.   Be sure the version of promis•e to be installed is compatible with the version of AutoCAD and with the operating system.
  • 64-bit promis•e V8i is not certified on 64-bit Windows XP.  Running 64-bit promis•e requires AccessDatabaseEnginex64 to be installed which is compatible with Windows Vista x64 and Windows 7 x64 but not Windows XP x64.  64-bit promis•e is therefore not compatible with Windows XP.
  • Microsoft Office, specifically Microsoft Access, is not required to be installed to use promis•e.
  • AccessDatabaseEnginex64 is included with 64-bit Microsoft Office 2010 but can also be downloaded and installed separately .
  • Office 2007 is a 32-bit application only, and the AccessDatabaseEnginex64 cannot be installed on top of it.  To use Office 2007 and 64-bit promis•e, install AccessDatabaseEnginex64 prior to (re)installing Office 2007.
  • If Office 2010 is to be used on the same workstation as 64-bit promis•e, install the 64-bit version of Office 2010.
  • 32-bit Standalone promis•e should operate on a system with 64-bit Microsoft Office installed with no additional action necessary.
  • For Oracle databases
  • Install the 32-bit version of the client if using 32-bit promis•e even if the operating system is 64-bit (i.e. using promis•e Standalone).  Install the 64-bit client if using 64-bit promis•e (i.e.promis•e for 64-bit AutoCAD).
  • For Oracle 11g with promis•e V8i SS6 and SS7, install the 11.2.0.2.0 Instant Client.  Installing the Oracle Universal Installer ODAC112021.zip is a convenient way to install this client and other the other requirements for Oracle with promis•e V8i.
  • For Oracle 11g with promis•e V8i SS2 through SS5, install the 11.1.0.7.0 Instant Client.  Installing the Oracle Universal Installer ODAC1110720.zip is a convenient way to install this client and other the other requirements for Oracle with promis•e V8i.
  • Later releases of the Oracle 11g client such as 11.2.0.1.0 are not compatible with promis•e V8i SS2 through SS5.  Even though it is not certified for Windows 7, ODAC 11.1.0.7.20 will work in that operating system.
  • For promis•e V8i SELECTseries 5 - 7 and Oracle 10g server, v10.2.0.4 or higher is compatible.
  • For integration with ProjectWise 08.11.07, ProjectWise Explorer 8.11.7.133 or higher is compatible.
  • Regarding promis•e versions that are compatible with MicroStation/PowerDraft V8 XM, legacy promis•e data cannot be migrated using promis•e V8i on MicroStation/PowerDraft V8 XM.  Upgrade to the latest version of promis•e V8i to migrate legacy data.

See Also

Project Database Version

Compatibility Chart - Bentley Substation

External Links

Readme for promis•e V8i SELECTseries 7

Readme for promis•e V8i SELECTseries 6

Readme for promis•e V8i SELECTseries 5

Readme for promis•e V8i SELECTseries 3

promis•e Installation Guide download page